Bug 174881 - x11-toolkits/p5-Tk: XFT=1 should be default
Summary: x11-toolkits/p5-Tk: XFT=1 should be default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-01 13:10 UTC by Slaven Rezic
Modified: 2013-03-03 11:00 UTC (History)
0 users

See Also:


Attachments
file.diff (587 bytes, patch)
2013-01-01 13:10 UTC, Slaven Rezic
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Slaven Rezic 2013-01-01 13:10:00 UTC
	Since Perl/Tk 804.030, freetype support is not considered
	experimental anymore and XFT=1 is turned on by default. The
	FreeBSD port should reflect this change.

Fix: See patch.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-01 18:31:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2013-01-02 15:24:21 UTC
Responsible Changed
From-To: perl->crees

I'll take it.
Comment 3 Chris Rees freebsd_committer 2013-03-03 10:58:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-03 10:58:56 UTC
Author: crees
Date: Sun Mar  3 10:58:48 2013
New Revision: 313341
URL: http://svnweb.freebsd.org/changeset/ports/313341

Log:
  Since Perl/Tk 804.030, freetype support is not considered
  experimental anymore and XFT=1 is turned on by default.
  
  PR:		ports/174881
  Submitted by:	Slaven Rezic <slaven@rezic.de>

Modified:
  head/x11-toolkits/p5-Tk/Makefile

Modified: head/x11-toolkits/p5-Tk/Makefile
==============================================================================
--- head/x11-toolkits/p5-Tk/Makefile	Sun Mar  3 10:44:26 2013	(r313340)
+++ head/x11-toolkits/p5-Tk/Makefile	Sun Mar  3 10:58:48 2013	(r313341)
@@ -19,7 +19,8 @@ LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphic
 		png15:${PORTSDIR}/graphics/png
 
 OPTIONS_DEFINE=	XFT
-XFT_DESC=	Client-side fonts via libXft (experimental)
+OPTIONS_DEFAULT=	XFT
+XFT_DESC=	Client-side fonts via libXft
 
 CONFIGURE_ARGS=	X11INC=${LOCALBASE}/include X11LIB=${LOCALBASE}/lib
 MAKE_JOBS_UNSAFE=	yes
@@ -151,6 +152,8 @@ MAN3=		Tie::Watch.3 \
 .if ${PORT_OPTIONS:MXFT}
 CONFIGURE_ARGS=	XFT=1
 USE_XORG+=	xft
+.else
+CONFIGURE_ARGS=	XFT=0
 .endif
 
 post-patch:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"